using FitConnect.Models;

namespace FitConnect.Interfaces;

public interface IFluentSubscriberWithSubmission {
    public Submission Submission { get; }

    /// <summary>
    ///     Loads the <see cref="Attachment" />s for the given <see cref="Submission" />.
    /// </summary>
    /// <returns></returns>
    public  IEnumerable<Attachment> GetAttachments();
}
